## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# header-only library
%global debug_package %{nil}

%global forgeurl https://github.com/mariusbancila/stduuid
Version:        1.2.3
%forgemeta

Name:           stduuid
Release:        %autorelease
Summary:        A C++17 cross-platform implementation for UUIDs
License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}
Patch0:         https://github.com/mariusbancila/stduuid/pull/84.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

%description
stduuid is a C++17 cross-platform single-header library implementation for
universally unique identifiers, simply know as either UUID or GUID (mostly on
Windows). A UUID is a 128-bit number used to uniquely identify information in
computer systems, such as database table keys, COM interfaces, classes and type
libraries, and many others.

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%forgeautosetup -p1

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=Release \
    -DUUID_USING_CXX20_SPAN=ON \

%cmake_build

%install
%cmake_install

rm %{buildroot}%{_libdir}/cmake/stduuid/FindLibuuid.cmake

%check
%ctest

%files devel
%license LICENSE
%doc README.md
%{_includedir}/uuid.h
%{_libdir}/cmake/stduuid/

%changelog
* Sun Dec 24 2023 topazus <topazus@outlook.com> - 1.2.3-1
- initial import; rhbz#2255198
